## imms 1.1

=== Makefile ===
-include vars.mk
-include .*.d

.PHONY: first

first: configure
	 $(warning Please run the "configure" script)

include rules.mk
