## imms 2.0.3

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,9 @@
 	$(error Please run the "configure" script)
  
 configure: configure.ac
-	autoreconf
+	autoheader
+	aclocal
+	autoconf
 
 immsconf.h: configure
 	$(error Please run the "configure" script)
@@ -25,6 +27,7 @@
 	mv autogen.sh configure
 	cp -r . /tmp/imms-$(VERSION)
 	rm -rf `find /tmp/imms-$(VERSION)/ -name .svn`
+	rm -rf /tmp/imms-$(VERSION)/tests
 	tar -C /tmp/ -cj imms-$(VERSION)/ -f build/imms-$(VERSION).tar.bz2
 	tar -C /tmp/ -cz imms-$(VERSION)/ -f build/imms-$(VERSION).tar.gz
 	rm -rf /tmp/imms-$(VERSION)/
