## imms 3.0.2

=== Makefile ===
--- 
+++ 
@@ -16,8 +16,7 @@
 .PHONY: clean distclean dist
 
 clean:
-	rm -f $(wildcard build/*.o)
-	rm -f $(wildcard build/lib*imms*.* build/analyzer build/immstool build/immsd build/imms-*.tar.* build/imms*.o core* build/.*.d)
+	rm -f $(wildcard build/[^M]* core* build/.*.d)
 
 distclean: clean
 	rm -f $(wildcard .\#* config.* configure immsconf.h* aclocal.m4* vars.mk)
@@ -27,7 +26,6 @@
 	mv autogen.sh configure
 	cp -r . /tmp/imms-$(VERSION)
 	rm -rf `find /tmp/imms-$(VERSION)/ -name .svn`
-	rm -rf /tmp/imms-$(VERSION)/tests
 	tar -C /tmp/ -cj imms-$(VERSION)/ -f build/imms-$(VERSION).tar.bz2
 	tar -C /tmp/ -cz imms-$(VERSION)/ -f build/imms-$(VERSION).tar.gz
 	rm -rf /tmp/imms-$(VERSION)/
