## imms 3.1.0~rc4

=== Makefile ===
--- 
+++ 
@@ -34,4 +34,4 @@
 vars.mk:;
 
 %:
-	@make -C build --no-print-directory $@
+	@$(MAKE) -C build --no-print-directory $@
