=== debian/changelog ===
imms (3.1.0~rc8-2) unstable; urgency=low

  * switch to dpkg-source 3.0 (quilt) format
    + remove dpatch from build dependencies and debian/rules
  * build with audacious 2.3
    + replace audacious-plugins-dev with audacious-dev in build dependencies
    + new patch 02audacious-2.3.patch by james.westby@ubuntu.com
      - slightly modified to remove glib references
  * update Standards-Version to 3.8.4 (no changes required)

 -- Artur R. Czechowski <arturcz@hell.pl>  Mon, 24 May 2010 20:38:55 +0000

imms (3.1.0~rc8-1) unstable; urgency=low

  * new upstream release
  * removed patches - applied by upstream:
    + 02compile-with-gcc-4.3.dpatch
    + 03compile-with-bmp-names-fix-486989.dpatch
    + 04sox--w-is-obsoleted.dpatch
  * fixed typo in debian/changelog
  * build without immsremote - no documentation is provided, functionality is
    quizzical
  * debian/control: updated Homepage
  * debian/watch: update to new location
  * user manuals in man format are provided (Closes: #251085)
    + xsltproc and docbook-xsl added to Build-Depends
    + analyzer.xml, immsd.xml, immstool.xml appeared in debian/
    + debian/rules takes care on maintaing files in man format

 -- Artur R. Czechowski <arturcz@hell.pl>  Sat, 27 Jun 2009 18:26:17 +0000

imms (3.1.0~rc4-6) unstable; urgency=low

  * depends on libsox-fmt-base and libsox-fmt-mp3 to support (among others)
    ogg and mp3 format (Closes: #497811)

 -- Artur R. Czechowski <arturcz@hell.pl>  Fri, 12 Sep 2008 22:50:16 +0200

imms (3.1.0~rc4-5) unstable; urgency=low

  * sox -w option is obsoleted, use -2 instead (Closes: #495378)
  * stronger dependency on sox, was: recommend, is: depends on
  * additionally, it's versioned dependency >= 14.1.0, because of change
    from -w to -2.
  * for debian-release team: it requires unfreezed sox to be useful in lenny

 -- Artur R. Czechowski <arturcz@hell.pl>  Thu, 21 Aug 2008 23:23:02 +0200

imms (3.1.0~rc4-4) unstable; urgency=low

  * Some #defines to make imms compilable with new names in audacious
    code (Closes: #486989).
  * DM-Upload-Allowed: yes

 -- Artur R. Czechowski <arturcz@hell.pl>  Sun, 29 Jun 2008 00:31:17 +0200

imms (3.1.0~rc4-3) unstable; urgency=low

  * Really add 02compile-with-gcc-4.3 (Closes: #476824)

 -- Artur R. Czechowski <arturcz@hell.pl>  Sat, 19 Apr 2008 20:46:27 +0200

imms (3.1.0~rc4-2) unstable; urgency=low

  * Reworking the debian/copyright file as requested by Joerg Jaspert

 -- Artur R. Czechowski <arturcz@hell.pl>  Mon, 07 Apr 2008 22:47:15 +0200

imms (3.1.0~rc4-1) unstable; urgency=low

  * The "Farewell XMMS" release
  * New upstream release
    + No longer uses EMD, files have been removed (Closes: #358991)
  * The copyright file copied from upstream AUTHORS file
  * Don't build xmms plugin anymore (Closes: #456686)
    + Removed build-dependency on xmms-dev
    + Run ./configure --without-xmms --without-bmp
  * Split the package for imms-${player} plugins and imms-common
  * Build plugin for audacious
  * Add to Build-Depends: audacious-plugins-dev, dpatch, autoconf, automake
  * Using dpatch to manage patches
  * New patches:
    + 01verbose-compilation
    + 02compile-with-gcc-4.3

 -- Artur R. Czechowski <arturcz@hell.pl>  Sun, 16 Mar 2008 01:34:24 +0100

imms (3.0.2-2) unstable; urgency=low

  * "Cleaning BTS" release
  * Take over the package with maintainer agreement (Closes: #463269),
    thanks to Norbert Veber for his previous work
  * There is no consensus about removing xmms from Lenny in discussion:
    http://lists.debian.org/debian-devel/2007/07/msg00026.html
    Additionally, I'll package imms plugin for audacious soon. The imms
    shall remain in Debian (Closes: #456686)
  * sox does not have -p option anymore (Closes: #414829)
  * Remove quilt, incorporate changes from no-fno-rtti patch (see #459028)
  * Add missing #includes for gcc 4.3 (Closes: #417233)
  * Updating build dependency fftw3-dev -> libfftw3-dev (Closes: #460981)
  * Don't ignore make clean error
  * Moving Homepage from extended description to separate field.
  * Update Standards-Version (nothing to change) to 3.7.3

 -- Artur R. Czechowski <arturcz@hell.pl>  Wed, 30 Jan 2008 20:01:00 +0100

imms (3.0.2-1.1) unstable; urgency=low

  * Non-maintainer upload to fix RC bug.
  * Build without -fno-rtti. (Closes: #459028)
  * Add quilt patching system to manage patch.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 13 Jan 2008 11:51:52 +0100

imms (3.0.2-1) unstable; urgency=low

  * New upstream release
  * Added a watch file (debian/watch)
  * Increased debhelper compatibility level to 5
  * Removed executable bit from /usr/share/imms/immsremote.glade
  * Build depend on libsqllite3-dev >= 3.2.2
    Closes: #342703

 -- Norbert Veber <nveber@pyre.virge.net>  Wed,  8 Mar 2006 13:35:48 -0500

imms (3.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Norbert Veber <nveber@pyre.virge.net>  Thu,  8 Dec 2005 15:04:33 -0500

imms (3.0-1) unstable; urgency=low

  * New upstream release
    Closes: #341335

 -- Norbert Veber <nveber@pyre.virge.net>  Wed,  7 Dec 2005 21:15:07 -0500

imms (2.1.1-3) unstable; urgency=low

  * Removed the -shared flag used by the configure script which was causing
    problems on amd64.
    Closes: #331270

 -- Norbert Veber <nveber@pyre.virge.net>  Mon,  3 Oct 2005 19:36:30 -0400

imms (2.1.1-2) unstable; urgency=low

  * Build depend on libxss-dev

 -- Norbert Veber <nveber@pyre.virge.net>  Thu, 29 Sep 2005 10:41:45 -0400

imms (2.1.1-1) unstable; urgency=low

  * New upstream release
    Closes: #309455
  * Recompile with libtag1c2
    Closes: #321544
  * Added workaround for libc bug 323811, thanks to Brad Sawatzky for the
    patch!
    Closes: #324220
  * Build depend on zlib1g-dev
    Closes: #323317
  * Random and repeat modes can now be turned off.  However if random play is
    enabled, the playlist is still repeated.
    Closes: #322032, #253300
  * The "0 msecs elapsed" mesages are no longer printed to the console

