=== debian/control ===
Source: imms
Section: utils
Priority: optional
Maintainer: Artur R. Czechowski <arturcz@hell.pl>
DM-Upload-Allowed: yes
Standards-Version: 3.8.4
Homepage: http://imms.luminal.org/
Build-Depends: debhelper (>> 5.0.0), audacious-dev, libsqlite3-dev (>=3.2.2), libpcre3-dev (>=4.3), libtag1-dev, libvorbis-dev (>=1.0), libfftw3-dev, libglib2.0-dev, zlib1g-dev, libxss-dev, libtorch3-dev, libglade2-dev, autoconf, automake, xsltproc, docbook-xsl

Package: imms-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sox (>= 14.1.0), libsox-fmt-base, libsox-fmt-mp3
Recommends: sqlite, sqlite3, imms-plugin
Conflicts: imms
Description: Unobtrusive, automatic, and learning playlist manager
 IMMS is an intelligent playlist plug-in that tracks your 
 listening patterns and dynamically adapts to your taste.
 .
 This package contains internal tools used by imms plugins for players.
 It is useless without any imms-plugin

Package: imms-audacious
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, imms-common (= ${binary:Version})
Provides: imms-plugin
Description: Unobtrusive, automatic, and learning audacious playlist manager
 IMMS is an intelligent playlist plug-in that tracks your
 listening patterns and dynamically adapts to your taste.
 .
 Major features include:
 .
  - Rating and playlist adjustment are done completely transparently to
    the user. IMMS is super easy to use!
  - Though IMMS will mostly play "good" songs, occasionally less popular
    ones are given a chance to earn your favor.
  - IMMS does a better job of shuffling than player
    It is able to recognize different versions of the same song (eg. remixes)
    and not play them too often.
  - IMMS uses smart file identification that allows files to keep their
    ratings even if they are moved and/or their tags change.
  .
  This package contains audacious plugin
