=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
CONFFLAGS =
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

MANPAGES=analyzer immsd immstool

configure: 
	$(MAKE) configure
configure-stamp: configure
	dh_testdir
	./configure --without-xmms --without-bmp --disable-immsremote

	touch configure-stamp


build: build-stamp


build-stamp: configure-stamp 
	dh_testdir

	$(MAKE) all

	for p in $(MANPAGES); do \
	  xsltproc --nonet --param man.charmap.use.subset "0" \
	           --param make.year.ranges "1" \
		   --param make.single.year.ranges "1" \
		   -o debian/ \
		   /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
		   debian/$$p.xml ; \
	done

	touch build-stamp

clean: clean1 
clean1: configure
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean
	for p in $(MANPAGES); do rm -f debian/$$p.1; done

#	rm -f config.log config.status vars.mk immsconf.h
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/imms.
	$(MAKE) programs_install prefix=$(CURDIR)/debian/imms-common/usr
	install -m 0644 -D build/libaudaciousimms.so $(CURDIR)/debian/imms-audacious`pkg-config --variable=general_plugin_dir audacious`/libaudaciousimms.so
	ln -sf imms-common debian/imms-audacious/usr/share/doc/imms-audacious

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -pimms-common
	dh_installdocs -pimms-common
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
