=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/" http://code.google.com/p/imms/downloads/list http://imms.googlecode.com/files/imms-(.*)\.tar\.bz2
