=== build/Makefile ===
--- 
+++ 
@@ -1,3 +1,21 @@
+#
+# IMMS: Intelligent Multimedia Management System
+# Copyright (C) 2001-2009 Michael Grigoriev
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
+#
 -include ../vars.mk
 -include .*.d
 
@@ -18,7 +36,7 @@
 libmodel.a: $(call objects,../model) svm-similarity-data.o
 	$(AR) $(ARFLAGS) $@ $(filter %.o,$^)
 
-immstool: immstool.o libmodel.a libimmscore.a 
+immstool: immstool.o libmodel.a libimmscore.a mfcckeeper.o
 training_data: training_data.o libmodel.a libimmscore.a 
 train_model: train_model.o libmodel.a libimmscore.a
