=== debian/changelog ===
imms (3.1.0~svn301-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Tighten audacious-dev in Build-Depends to (>= 3.6).
  * debian/patches/audacious-3.6.patch: Upstream patch to port imms to
    Audacious 3.6+ (Closes: #807843)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 19 Dec 2015 21:41:08 +0100

imms (3.1.0~svn301-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Add Build-Depends on libaudclient-dev which is now
      separate from audacious-dev. (Closes: #759708)
    - Tighten audacious-dev in Build-Depens to (>= 3.5) to ensure that
      plugin_dir variable in the pkg-config file is available.
  * debian/rules: Use plugin_dir variable to determine plugin directory.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 10 Sep 2014 10:55:50 +0200

imms (3.1.0~svn301-3) unstable; urgency=low

  * urgency high - testing has non-working version
  * force rebuild with new audacious (Closes: #719046) (LP: #1209123)
  * debian/control: removed DM-Upload-Allowed
  * debian/rules: add hardening flags
    - new patch hardening-flags.patch
  * debian/rules: remove unsupported configure options:
    --without-xmms --without-bmp
  * update Standard-Version to 3.9.4 - no changes required

 -- Artur R. Czechowski <arturcz@hell.pl>  Tue, 27 Aug 2013 21:59:32 +0200

imms (3.1.0~svn301-2) unstable; urgency=high

  * urgency high - testing has non-working version
  * 3.1.0~svn301-1 also fixes Ubuntu bug (LP: #935183)
  * call the method to dereference a returned string,
    - updated audacious-3.x.patch
  * refresh all patches using quilt -p ab and diff -p
  * removed obsoleted Conflicts with really old package
  * debian/rules: provide build-arch and build-indep targets to make lintian
    happy
  * update Standard-Version to 3.9.3 - no changes required

 -- Artur R. Czechowski <arturcz@hell.pl>  Sun, 18 Mar 2012 02:43:12 +0100

imms (3.1.0~svn301-1) unstable; urgency=low

  * new upstream release
  * rename patch:
    - 01verbose-compilation.patch -> verbose-compilation.patch
  * remove patches:
    - 02audacious-2.3.patch
    - 03audacious-2.4.patch
    - 04utf8-filename-conversion.patch
  * new patches:
    - audacious-3.x.patch (Closes: #661390)
    - configure-plugin-is-critical.patch
    - local-version.patch
    - sox-deprecated-options.patch
  * all patches are described in DEP3 format
  * update debian/watch to reflect layout changes on Google Code and changed
    upstream version numbering scheme

 -- Artur R. Czechowski <arturcz@hell.pl>  Sat, 17 Mar 2012 03:15:34 +0000

imms (3.1.0~rc8-3) unstable; urgency=low

  * new patches already applied in Ubuntu (Closes: #610810, #620918):
    + 03audacious-2.4.patch: fix imms to work with audacious 2.4. Patch taken
      from upstream (http://code.google.com/p/imms/source/detail?r=257)
    + 04utf8-filename-conversion.patch: backport upstream fix to use
       g_filename_to_utf8 for filename conversion

 -- Artur R. Czechowski <arturcz@hell.pl>  Sun, 11 Dec 2011 20:30:59 +0000
