=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,12 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CFLAGS = -Wall -g
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
+CFLAGS += -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -31,13 +36,14 @@
 	$(MAKE) configure
 configure-stamp: configure
 	dh_testdir
-	./configure --without-xmms --without-bmp --disable-immsremote
+	./configure --disable-immsremote CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 	touch configure-stamp
 
+build: build-arch build-indep
+build-indep:
 
-build: build-stamp
-
+build-arch: build-stamp
 
 build-stamp: configure-stamp 
 	dh_testdir
@@ -75,7 +81,7 @@
 
 	# Add here commands to install the package into debian/imms.
 	$(MAKE) programs_install prefix=$(CURDIR)/debian/imms-common/usr
-	install -m 0644 -D build/libaudaciousimms.so $(CURDIR)/debian/imms-audacious`pkg-config --variable=general_plugin_dir audacious`/libaudaciousimms.so
+	install -m 0644 -D build/libaudaciousimms.so $(CURDIR)/debian/imms-audacious`pkg-config --variable=plugin_dir audacious`/General/libaudaciousimms.so
 	ln -sf imms-common debian/imms-audacious/usr/share/doc/imms-audacious
 
 # Build architecture-independent files here.
