=== debian/watch ===
version=3
opts=\
dversionmangle=s/3.1.0~svn//,\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://imms.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/imms/downloads/detail[?]name=imms-r(.+).tar.bz2&.*
